﻿Type=StaticCode
Version=6.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'	TabHostExtras code module
'	Version 1.0

Sub Process_Globals
End Sub

'	GetTabIndicators
'	Returns an array of Views
'	These Views are the TabHost's TabIndicators
'	You may(?) be able to customise the TabIndicators properties
Sub GetTabIndicators(TabHost1 As TabHost) As View()
	Dim Reflector1 As Reflector
	Dim TabIndex, TabCount As Int
	Dim TabWidget As Object
	Reflector1.Target=TabHost1
	TabWidget=Reflector1.RunMethod("getTabWidget")
	Reflector1.Target=TabWidget
	TabCount=Reflector1.RunMethod("getTabCount")
	Dim TabIndicators(TabCount) As View
	For TabIndex=0 To TabCount-1
		TabIndicators(TabIndex)=Reflector1.RunMethod2("getChildAt", TabIndex, "java.lang.int")
	Next
	Return TabIndicators
End Sub

Sub SetTabsHeight(TabHost1 As TabHost, TabHeight As Int)
	Dim Reflector1 As Reflector
	Dim TabIndex, TabCount As Int
	Dim TabIndicator As View
	Dim TabWidget As Object
	Reflector1.Target=TabHost1
	TabWidget=Reflector1.RunMethod("getTabWidget")
	Reflector1.Target=TabWidget
	TabCount=Reflector1.RunMethod("getTabCount")
	For TabIndex=0 To TabCount-1
		TabIndicator=Reflector1.RunMethod2("getChildAt", TabIndex, "java.lang.int")
		TabIndicator.Height=TabHeight
	Next
End Sub

Sub SetTabsVisibility(TabHost1 As TabHost, Visible As Boolean)
	Dim Reflector1 As Reflector
	Dim TabIndex, TabCount As Int
	Dim TabIndicator As View
	Dim TabWidget As Object
	Reflector1.Target=TabHost1
	TabWidget=Reflector1.RunMethod("getTabWidget")
	Reflector1.Target=TabWidget
	TabCount=Reflector1.RunMethod("getTabCount")
	For TabIndex=0 To TabCount-1
		TabIndicator=Reflector1.RunMethod2("getChildAt", TabIndex, "java.lang.int")
		TabIndicator.Visible=Visible
	Next
End Sub
